/*
 * powerpc.h
 *
 * Copyright (C) 2006-2008 Atmark Techno, Inc.	  All Rights Reserved.
 *
 */

#ifndef _POWERPC_H_
#define _POWERPC_H_

#include "memmap.h"

#define BBOOTMENU_WAITTIME (2500000)

#ifdef XPAR_OCM_TEMAC_CNTLR_BASEADDR
#define NRST_ENABLE	(0)
#define NRST_DISABLE	(0x40000000)
#else /* plb temac */
#define NRST_ENABLE	(0)
#define NRST_DISABLE	(2)
#endif

static inline void jump_to_second_bootloader(void) __attribute__ ((noreturn));
static inline void jump_to_second_bootloader(void)
{
	((void(*)(void))(BOOTLOADER_LOAD_ADDR))();
}

#endif /* !_POWERPC_H_ */
