/*
 * flash.h
 *
 * flash handler
 *
 * Copyright (C) 2004-2008 Atmark Techno, Inc.  All Rights Reserved.
 *
 */

#ifndef _FLASH_H_
#define _FLASH_H_

#include "memmap.h"

#ifndef SPI_REGISTER_BASEADDR

void flash_program(unsigned int offset, unsigned short val);
void flash_erase(unsigned int offset, unsigned int size);
void flash_copy_from_dram(unsigned long start_addr, unsigned long last_addr);
void flash_copy_to_dram(unsigned int offset);
int  flash_get_size(void);

#endif /* !SPI_REGISTER_BASEADDR */
#endif /* !_FLASH_H_ */
